package nl.ivojonker.icm.plugins;
import java.util.Locale;
import com.ibm.ecm.extension.Plugin;
import com.ibm.ecm.extension.PluginAction;

/**
 * Casebuilder widget that emits events upon tab-selection changes.
 * 
 * Usefull to manually refresh/trigger things.
 * 
 * Licensed under MIT (license.txt).
 * 
 * @author ivojonker.nl
 */
public class FreeFormTabContainerEventAdapterPlugin extends Plugin {

	@Override
	public String getId() {
		return "FreeFormTabContainerEventAdapterPlugin";
	}

	@Override
	public String getName(Locale arg0) {
		return "Free Form Tab Container Event Adapter plugin";
	}

	@Override
	public String getVersion() {
		return "1.0.0";
	}

	@Override
	public PluginAction[] getActions() {
		return new PluginAction[] {};
	}

	@Override
	public String getCopyright() {
		return "ivojonker.nl / MIT licensed";
	}

	@Override
	public String getScript() {
		return "FreeFormTabContainerEventAdapterPlugin.js";
	}

	@Override
	public String getDojoModule() {
		return "nl";
	}

	@Override
	public String getCSSFileName() {
		return "FreeFormTabContainerEventAdapterPlugin.css";
	}

}
